<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Box-sizing</title>

		<style type="text/css">
		*{
			margin: 0;
			padding: 0;
			box-sizing: border-box;
		}

		#box{
			height: 150px;
			width: 150px;
			padding: 50px;
			border: 1px solid black;
			background-color: orange;
		}
	</style>

	<!-- Without box-sizing: border-box; -->
	<!-- 1px border top + 50px left padding + 150 px width + 50 px right padding + 1px border bottom = 252 px -->

	<!-- with box-sizing: border-box; 2px border + 100px padding + 48px width = 150px -->

	<!-- the specifications for padding and border will be included in the computation of the height and width of the element -->

</head>
<body>
	<div id="box">Hello</div>
</body>
</html>